Help undoing my mistakes using Hide rather than Layers

So I’ve made a model for a house. I made the cardinal error hiding objects to control visibility within scenes. I’ve been slowly re organizing my model the proper way using Layers to control objects/components that are nested in groups. However I’m having a problem. There are certain objects that I have tried to un hide, and they are repeatedly not being saved in the scene setting as I keep updating each scene. It seems as I unhide some objects it turns hide back on for the previous objects.

I’ve attached my model here: Dropbox - File Deleted

For example: in scene FLR plan -1 there are two exterior doors that I have repeatedly tried to un hide and update the view as a new scene style setting. I’ll save the scene and settings as a new style and I’ll move on to the next layer etc and unhide more objects that are on other scenes that need to be changed As I go through I periodically check back on my earlier scenes and inevitably all the same items I un-hid are now hidden again. I’ve gone through 2-3 times trying to change these components and it’s time to ask for help.

I’m so close to being done with the modeling stage of this project and moving on to Layout but I can’t do that until I figure out how to properly unhide all these objects and save them properly.

Thanks in advance for anyone who can help.

UPDATE:

I tried saving an entirely New Scene and the unhide settings are not holding in that either.

Turning hidden geometry on, selecting the doors, unhiding, then updating the scene. Is this the process that is not working for you? Just trying to understand.

The problem, that endlessfix may have got past instinctively, is that the component that is hidden is several groups down. Toggling the visibility of any of the groups, especially while showing hidden geometry, doesn’t cure the problem. You need to right-click, see if there is an Unhide option, and if there isn’t, edit group instead. Keep doing that until you get down to the component that does show an Unhide option. Unhide it, then come all the way to the top again before updating the scene.

I used an extension from Sketchucation called Unhide All to quickly unhide all components and groups throughout all the nests. Then I updated only the status of the hidden objects for all scenes. After doing all that I fixed the incorrect layer/tag usage and purged unused.

Screenshot - 6_26_2020 , 7_17_13 PM

Screenshot - 6_26_2020 , 7_18_10 PM

I’ll upload the repaired file and send you a link.

Thank you!

I’m doing that exactly except I’m using the refresh button in the scenes tab bar on the right hand side rather than right clicking the scene. Everything works just as you did it but once I move on to another layer and make changes the unhide on the first scene reverts back to being hidden. It’s very specific components and objects that are showing this behavior as I was able to do this same process with other objects and the updates work fine.

1 Like

Thanks for your quick reply. I am doing this. I’m clicking down through the groups to unhide the indvidual object . I’m able to unhide the item and save the scene. Once I move to work on another scene and make changes to other scenes the changes on the first scene just don’t stay and the same objects go back to being hidden.

Thank you SO much! I look forward to seeing that link!

Instead of trying to update one scene at a time you should update all the scenes at once.

Just trying to understand how you are going about it. As Colin says drilling down through the nested groups is the key to specific items. If you are having items disappearing later when adjusting the visibility of other items my guess is that you are hiding the parent groups/component or a tag that contains a child object nested inside another component that is in a different tag. Visibility obeys the rules of nesting too, if an object like the doors is nested inside another group component it will obey the rules of the parent tag regardless of its own tags setting.

Try this: https://drive.google.com/file/d/1Z9lXcEt7oyp6P0Y6_8hWi1rrX5uvEXxT/view?usp=sharing

FWIW I started CleanUp3 running after I saved the file. It’s now saying 12 hours and 37 min remaining.

Ha! I started to run it too but had to force quit SketchUp so I could keep working.

After a little over an hour of cleaning it says there’s nearly 14 hours left now. Killing it. I think CleanUp3 is mostly choking on the obese fixtures like bathtubs and toilets.

If you enter the following into the SketchUp Ruby Console Window it will clear the hidden flag on all entities in your model, including all nested objects and geometry. It will not change the visible status of layers/tags.

module SB_unhide
  def self.unhide_all
    count = 0
    ents = Sketchup.active_model.entities
    Sketchup.active_model.start_operation("SB_unhide_all", true)
    increment = unhide_ents(ents)
    count = count + increment
    defns = Sketchup.active_model.definitions
    defns.each do |defn|
      increment = unhide_ents(defn.entities)
      count = count + increment
    end
    Sketchup.active_model.commit_operation
    puts "#{count} Entities unhidden"
   nil
  end
end
SB_unhide.unhide_all
1 Like

I will try and see if there is some kind of nested component or group that I’m missing. Right now It seems pretty straightforward. Nothing above the door is hidden. I tried exploding the entire door component and making it a new component after I unhide it. This seems to make a difference after making a few changes to other scenes.

Thank you again for running these extensions! The tub and toilets where obviously pulled from the 3d Warehouse.

1 Like

I will try this command thanks for posting!

I tried this ruby command but I don’t think I did it right. I just copy into Ruby Console window and hit enter correct?

That’s right. Did you see any error messages posted in the Ruby Console?

unhide_ents seems not to work.